% PnX=P_Legendre(n,x)
% entrees :
%    n : degre scalaire
%    x : matrice des valeurs
% sortie :
%    Pn(x)
function PnX=P_Legendre(n,x)
PnX=zeros(size(x));
for k=0:n
    PnX=PnX+(prod(k+1:n)/prod(1:n-k))^2*((x-1).^(n-k)).*((x+1).^(k));
end
PnX=PnX/2^n;