% M=linspacev(v1,v2,n)
% v1 v2 des vecteurs de meme taille, n un entier positif
% Renvoie une matrice de taille length(v1)xn
% M = [ v1(1,1) ... v2(1,1) ; v1(2,1) ... v2(2,1) ; ... ... ]
function M=linspacev(v1,v2,n)
v1=v1(:);
v2=v2(:);
n = double(n);
M=[repmat(v1,1,n-1)+(v2-v1)*(0:n-2)/(floor(n)-1) v2];