% Maillage de reconstruction
% entrees :
%xx1 xx2... : bornes du domaine
%et points du maillage fin desquels on va tirer les points fins
%approchant les points de bord du maillage grossier
% sorties :
%le maillage grossier et les points fins correspondants au bord e2
function [p2,e2,t2]=maillage_reconstruction(boite,points_par_ligne)
global x1 x2 y1 y2;

%% nouveau maillage
x1=boite(1); %gauche
x2=boite(2);  %droite
y1=boite(3); %bas
y2=boite(4);   %haut

disp('Maillage du domaine d''inversion')

h=abs(x1-x2)/points_par_ligne;
[p2,e2,t2]=initmesh('domaine_inversion','Hmax',h,'Jiggle','on');




