% fonction polygone :
% entrées : 
% x,y : les x,y du code geometrie
% polygone : liste des sommets dans le plan (2xN), le premier peut etre
% egal au dernier, pour fermer la courbe, sinon c'est rajoute
% bord : numero du premier bord du polygone
% sorties :
% x,y : les x,y du code de geometrie
% bord : numero du bord suivant disponible pour d'autres
function [x,y,bord]=trace_polygone(polygone,bord,x,y,s,bs)
if size(polygone,1)~=2, polygone = polygone.'; end
if polygone(:,1)~=polygone(:,end), polygone = [ polygone, polygone(:,1) ]; end

for is=1:size(polygone,2)-1
    ii=find(bs==bord);
    L=norm(polygone(:,is+1)-polygone(:,is));
    x(ii)=polygone(1,is)+s(ii)/L*(polygone(1,is+1)-polygone(1,is));
    y(ii)=polygone(2,is)+s(ii)/L*(polygone(2,is+1)-polygone(2,is));
    bord=bord+1;
end
end

% % boundary segment 1
% ii=find(bs==1);
% x(ii)=distance_pml-s(ii);
% y(ii)=distance_pml;