%entree : la liste des centres de classe et la liste des points a classer
%sous forme de ligne de points
%rend la classe de chaque point a classer par proximite (l'indice dans la
%liste des points de classe) sous forme de colonne

function classe=Classement(classes,points)
nc=size(classes,2);
np=size(points,2);
d=size(classes,1);
if nc==1 % min(N) renvoie une seule valeur au lien d'un vecteur...
    classe=ones(np,1);
else

    P=repmat(points,nc,1);%copie des points vers le bas : points;points;points...
    P=reshape(P,d,np*nc);%depliage : p1 p1 p1...(pc fois) p2 p2 p2... (nc fois)...
    C=repmat(classes,1,np);%copie des classes vers la droite : classes classes classes...

    V=P-C;
    clear C P;
    N=normv(V,'reels');%norme de toutes ces soustractions
    N=reshape(N,nc,np);%tableau des normes :
    %p1-c1    ... p(np)-c1
    %p1-c2    ... p(np)-c2
    %...
    %p1-c(nc) ... p(np)-c(nc)

    [minimales,indices]=min(N);%on minimise par colonne, ce qui donne la classe la plus proche pour chaque point dans indices
    classe=indices(:);
end