function save_rendu_inclusion_batch(data,decalage,matrices_carrees,indices_reels,n,section,methode,carte,k,p2,t2,points_objet,moyenne_n0,n_0,n_1,p0,t0,objet0,objet1,inclusion,emissions,mesures,bruitage,geometrie,script,fleches,N_et_B,nm0)
disp('Dessins et sauvegarde')

s = warning('query', 'all');
warning off all

%% dessins
[h7,h1,h6]=plot_Linf5(carte,k,p2,t2,points_objet,'off',mesures,emissions,fleches,N_et_B);
% h2=figure('Visible','off');
% pdeplot(p,[],t(:,objet),'xydata',real(n_0(objet)),'xystyle','flat','contour',...
% 'on','levels',linspace(min(real(n_0(objet))),max(real(n_0(objet))),10),'colorbar','on','colormap',jet);
% axis equal 
% h3=figure('Visible','off');
% pdeplot(p,[],t(:,objet),'xydata',imag(n_0(objet)),'xystyle','flat','contour',...
% 'on','levels',linspace(min(imag(n_0(objet))),max(imag(n_0(objet))),10),'colorbar','on','colormap',jet); 
% axis equal 
% 
% 
% h4=figure('Visible','off');
% pdeplot(p,[],t(:,objet),'xydata',real(n_1(objet)),'xystyle','flat','contour',...
% 'on','levels',linspace(min(real(n_0(objet))),max(real(n_0(objet))),10),'colorbar','on','colormap',jet); 
% axis equal 
% h5=figure('Visible','off');
% pdeplot(p,[],t(:,objet),'xydata',imag(n_1(objet)),'xystyle','flat','contour',...
% 'on','levels',linspace(min(imag(n_0(objet))),max(imag(n_0(objet))),10),'colorbar','on','colormap',jet);
% axis equal 
drawnow;
%% sauvegardes des images

mr0= min(real(n_0(objet0)));
Mr0= max(real(n_0(objet0)));
mi0= min(imag(n_0(objet0)));
Mi0= max(imag(n_0(objet0)));

mr1= min(real(n_1(inclusion)));
Mr1= max(real(n_1(inclusion)));
mi1= min(imag(n_1(inclusion)));
Mi1= max(imag(n_1(inclusion)));

mr2= min(real(n_1(objet1 & ~inclusion)));
Mr2= max(real(n_1(objet1 & ~inclusion)));
mi2= min(imag(n_1(objet1 & ~inclusion)));
Mi2= max(imag(n_1(objet1 & ~inclusion)));

mr3= min(real(n_1(objet1)));
Mr3= max(real(n_1(objet1)));
mi3= min(imag(n_1(objet1)));
Mi3= max(imag(n_1(objet1)));


e1=emissions(1)/pi;
e2=emissions(end)/pi;
m1=mesures(1)/pi;
m2=mesures(end)/pi;

A=aires_triangles(p0,t0(:,objet0));
n01=moyenne_n0; %n0 moyen, avant perturbation
n02=n_0(objet0)*A/sum(A); % n0 moyen, apres perturbation

switch methode
    case 1
        methode_str='min W sharp';
    case 2
        methode_str='spec W sharp';
    case 3
        methode_str='min abs W';
    case 4
        methode_str='spec abs W';
end

prefixe='/DATA/Rendus_Matlab/Reconstruction_inclusion/batch/';
%prefixe='~/Rendus_Matlab/Reconstruction_inclusion/batch/';
% prefixe=strcat('/DATA/Rendus_Matlab/Reconstruction_inclusion/',datestr(now,29),'-',datestr(now,15),'_:_',...
%     num2str(size(emissions,2),3),'_emissions_sur_',num2str(e1,3),'-',num2str(e2,3),'_',...
%     num2str(size(mesures,2),3),'_mesures_sur_',num2str(m1,3),'-',num2str(m2,3),'_avec_',...
%     num2str(bruitage,3),'_de_bruit_n0_',num2str(mr0,3),'-',num2str(Mr0,3),'+i',num2str(mi0,3),'-',num2str(Mi0,3),...
%     '_n1_',num2str(mr1,3),'-',num2str(Mr1,3),'+i',num2str(mi1,3),'-',num2str(Mi1,3),'_k',num2str(k,3),'/');
mkdir(prefixe);

fileID=fopen([prefixe,section,'_',num2str(n),'_(',num2str(methode),')_parametres.txt'],'w');

fprintf(fileID,['k=',num2str(k,3),'\n']);
fprintf(fileID,[num2str(size(emissions,2),3),' emissions sur [',num2str(e1,3),'pi, ',num2str(e2,3),'pi]\n']);
fprintf(fileID,[num2str(size(mesures,2),3),' mesures sur [',num2str(m1,3),'pi, ',num2str(m2,3),'pi]\n']);
fprintf(fileID,['bruit : ',num2str(bruitage*100,3),'%%\n']);
if indices_reels
    fprintf(fileID,['n0 dans D dans [',num2str(mr0,3),', ',num2str(Mr0,3),']\n']);
    fprintf(fileID,['n1 dans D dans [',num2str(mr3,3),', ',num2str(Mr3,3),']\n']);
    fprintf(fileID,['n1 dans D prive de Omega dans [',num2str(mr2,3),', ',num2str(Mr2,3),']\n']);
    fprintf(fileID,['n1 dans D prive de Omega dans [',num2str(mr2,3),', ',num2str(Mr2,3),']\n']);
else
    fprintf(fileID,['n0 dans D dans [',num2str(mr0,3),', ',num2str(Mr0,3),']+[',num2str(mi0,3),', ',num2str(Mi0,3),']i\n']);
    fprintf(fileID,['n1 dans D dans [',num2str(mr3,3),', ',num2str(Mr3,3),']+[',num2str(mi3,3),', ',num2str(Mi3,3),']i\n']);
    fprintf(fileID,['n1 dans D prive de Omega dans [',num2str(mr2,3),', ',num2str(Mr2,3),']+[',num2str(mi2,3),', ',num2str(Mi2,3),']i\n']);
    fprintf(fileID,['n1 dans Omega dans [',num2str(mr1,3),', ',num2str(Mr1,3),']+[',num2str(mi1,3),', ',num2str(Mi1,3),']i\n']);
end

fprintf(fileID,['n0 moyen avant perturbation = ',num2str(n01,3),'\n']);
fprintf(fileID,['n0 moyen apres perturbation = ',num2str(n02,3),'\n']);
fprintf(fileID,['methode de reconstruction : ',methode_str,'\n']);
%fprintf(fileID,[data,'\n']);
fprintf(fileID,['Nombre de points de maillage p0 : ',num2str(size(p0,2)),'\n']);
fprintf(fileID,['Nombre de mailles median par longueur d''onde : ',num2str(nm0),'\n']);
fprintf(fileID,['Nombre de points de reconstruction p2 : ',num2str(size(p2,2))]);
fclose(fileID);



fileID=fopen([prefixe,section,'_',num2str(n),'.tex'],'w');

fprintf(fileID,'\\begin{figure}[htpb]\n');
fprintf(fileID,'\\centering\n');
if matrices_carrees
fprintf(fileID,['\\subfigure[\\(\\mathscr{N}_{\\{n_0,n_1\\}}(z_i)\\) avec \\(\\widetilde W_{\\#}\\)]{\\includegraphics[width=0.49\\linewidth]{',section,'_',num2str(n),'_(1)_carte}}\n']);
fprintf(fileID,['\\subfigure[\\(\\mathscr{I}_{\\{n_0,n_1\\}}(z_i)\\) avec \\(\\widetilde W_{\\#}\\)]{\\includegraphics[width=0.49\\linewidth]{',section,'_',num2str(n),'_(2)_carte}}\n']);
end
fprintf(fileID,['\\subfigure[\\(\\mathscr{N}_{\\{n_0,n_1\\}}(z_i)\\) avec \\(\\abs{W\\I}\\)]{\\includegraphics[width=0.49\\linewidth]{',section,'_',num2str(n),'_(3)_carte}}\n']);
fprintf(fileID,['\\subfigure[\\(\\mathscr{I}_{\\{n_0,n_1\\}}(z_i)\\) avec \\(\\abs{W\\I}\\)]{\\includegraphics[width=0.49\\linewidth]{',section,'_',num2str(n),'_(4)_carte}}\n']);

switch section
    case 'perturbation'
        fprintf(fileID,['\\caption[Comparaison des m\\''ethodes avec $',num2str(bruitage*100,3),'\\%%$ de bruit]']);
        fprintf(fileID,['{Comparaison des m\\''ethodes avec $',num2str(bruitage*100,3),'\\%%$ de bruit.\\\\\n']);
    case 'frequence'
        fprintf(fileID,['\\caption[Comparaison des m\\''ethodes avec un nombre d''onde k=$',num2str(k,3),'$]']);
        fprintf(fileID,['{Comparaison des m\\''ethodes avec un nombre d''onde k=$',num2str(k,3),'$.\\\\\n']);
    case 'echantillonage'
        fprintf(fileID,['\\caption[Comparaison des m\\''ethodes avec ',num2str(size(mesures,2),3),' directions d''\\''emissions/mesures]']);
        fprintf(fileID,['{Comparaison des m\\''ethodes avec ',num2str(size(mesures,2),3),' directions d''\\''emissions/mesures.\\\\\n']);
    case 'indice'
        fprintf(fileID,'\\caption[Comparaison des m\\''ethodes avec des indices \\`a valeurs complexes]');
        fprintf(fileID,'{Comparaison des m\\''ethodes avec des indices \\`a valeurs complexes.\\\\\n');
    case 'ouverture'
        fprintf(fileID,['\\caption[Comparaison des m\\''ethodes avec des mesures prises dans $\\lbrack',num2str(m1,3),'\\pi,\\, ',num2str(m2,3),'\\pi\\rbrack$]']);
        fprintf(fileID,['{Comparaison des m\\''ethodes avec des mesures prises dans $\\lbrack',num2str(m1,3),'\\pi,\\, ',num2str(m2,3),'\\pi\\rbrack$.\\\\\n']);
    case 'moyenne'
        fprintf(fileID,['\\caption[Comparaison des m\\''ethodes avec une valeur de $n_0$ constante fix\\''ee \\`a $',num2str((1+decalage)*100,3),'\\%%$ de la moyenne de l''indice du milieu ambiant]']);
        fprintf(fileID,['{Comparaison des m\\''ethodes avec une valeur de $n_0$ constante fix\\''ee \\`a $',num2str((1+decalage)*100,3),'\\%%$ de la moyenne de l''indice du milieu ambiant.\\\\\n']);
    case 'n0perturbe'
        fprintf(fileID,['\\caption[Comparaison des m\\''ethodes avec $',num2str(decalage*100,3),'\\%%$ de bruit ajouté aux valeurs de $n_0$]']);
        fprintf(fileID,['{Comparaison des m\\''ethodes avec $',num2str(decalage*100,3),'\\%%$ de bruit ajouté aux valeurs de $n_0$.\\\\\n']);
end
        
%fprintf(fileID,[data,'\\\\\n']);
fprintf(fileID,'Param\\`etres :\n');
fprintf(fileID,'\\begin{itemize}\n');
fprintf(fileID,['\\item \\(k=',num2str(k,3),'\\)\n']);
fprintf(fileID,['\\item \\(\\Gamma_e=[',num2str(e1,3),'\\pi,\\, ',num2str(e2,3),'\\pi]\\) avec ',num2str(size(emissions,2),3),' directions d''\\''emissions\n']);
fprintf(fileID,['\\item \\(\\Gamma_m=[',num2str(m1,3),'\\pi,\\, ',num2str(m2,3),'\\pi]\\) avec ',num2str(size(mesures,2),3),' directions de mesures\n']);
fprintf(fileID,['\\item \\(',num2str(bruitage*100,3),'\\%%\\) de bruit ajouté aux mesures\n']);
if indices_reels
    if abs(mr0-Mr0)<10*eps
        fprintf(fileID,['\\item Valeur moyenne exacte de \\(n_0\\) dans \\(D\\) : ',num2str(n01,3),'\n']);
        fprintf(fileID,['\\item Valeur constante de \\(n_0\\) utilis\\''ee dans \\(D\\) : ',num2str(n02,3),'\n']);
        fprintf(fileID,['\\item \\(n_1\\) prend ses valeurs dans \\([',num2str(mr2,3),',\\, ',num2str(Mr2,3),']\\) dans \\(D \\setminus \\Omega\\)\n']);
    else
        fprintf(fileID,['\\item \\(n_0\\) prend ses valeurs dans \\([',num2str(mr0,3),',\\, ',num2str(Mr0,3),']\\) dans \\(D\\)\n']);
        if abs(n01-n02)>10*eps
            fprintf(fileID,['\\item Moyenne des valeurs exactes de \\(n_0\\) dans \\(D\\) : \\(',num2str(n01,3),'\\)\n']);
            fprintf(fileID,['\\item Moyenne des valeurs de \\(n_0\\) uitlis\\''ees dans \\(D\\) : \\(',num2str(n02,3),'\\)\n']);
        end
    end
    fprintf(fileID,['\\item \\(n_1\\) prend ses valeurs dans \\([',num2str(mr1,3),',\\, ',num2str(Mr1,3),']\\) dans \\(\\Omega\\)\n']); 
else
    if abs(mr0-Mr0)<10*eps
        fprintf(fileID,['\\item Valeur moyenne exacte de \\(n_0\\) dans \\(D\\) : ',num2str(n01,3),'\n']);        
        fprintf(fileID,['\\item Valeur constante de \\(n_0\\) utilis\\''ee dans \\(D\\) : ',num2str(n02,3),'\n']);
        fprintf(fileID,['\\item \\(n_1\\) prend ses valeurs dans \\([',num2str(mr2,3),',\\, ',num2str(Mr2,3),']+[',num2str(mi2,3),',\\, ',num2str(Mi2,3),']i\\) dans \\(D \\setminus \\Omega\\)\n']);

    else
        fprintf(fileID,['\\item \\(n_0\\) prend ses valeurs dans \\([',num2str(mr0,3),',\\, ',num2str(Mr0,3),']+[',num2str(mi0,3),',\\, ',num2str(Mi0,3),']i\\) dans \\(D\\)\n']);
        if abs(n01-n02)>10*eps
            fprintf(fileID,['\\item Moyenne des valeurs exactes de \\(n_0\\) dans \\(D\\) : \\(',num2str(n01,3),'\\)\n']);
            fprintf(fileID,['\\item Moyenne des valeurs de \\(n_0\\) uitlis\\''ees dans \\(D\\) : \\(',num2str(n02,3),'\\)\n']);
        end
    end
    fprintf(fileID,['\\item \\(n_1\\) prend ses valeurs dans \\([',num2str(mr1,3),',\\, ',num2str(Mr1,3),']+[',num2str(mi1,3),',\\, ',num2str(Mi1,3),']i\\) dans \\(\\Omega\\)\n']);
end
fprintf(fileID,'\\end{itemize}}\n');
fprintf(fileID,['\\label{fig:',section,num2str(n),'}\n']);
fprintf(fileID,'\\end{figure}\n');
fclose(fileID);


%saveas(h1,strcat(prefixe,'carte_20log'),'jpg');
    pdf_in=[prefixe,'carte'];
    pdf_out=[prefixe,section,'_',num2str(n),'_(',num2str(methode),')_carte.pdf'];
%saveas(h7,[prefixe,'carte'],'pdf');
saveas(h7,pdf_out,'pdf');
close(h7);

% saveas(h2,strcat(prefixe,'indice_d_origine_reel'),'jpg');
% saveas(h2,strcat(prefixe,'indice_d_origine_reel'),'pdf');
% close(h2);
% saveas(h3,strcat(prefixe,'indice_d_origine_imag'),'jpg');
% saveas(h3,strcat(prefixe,'indice_d_origine_imag'),'pdf');
% close(h3);
% saveas(h4,strcat(prefixe,'indice_perturbe_reel'),'jpg');
% saveas(h4,strcat(prefixe,'indice_perturbe_reel'),'pdf');
% close(h4);
% saveas(h5,strcat(prefixe,'indice_perturbe_imag'),'jpg');
% saveas(h5,strcat(prefixe,'indice_perturbe_imag'),'pdf');
% close(h5);
% saveas(h6,strcat(prefixe,'grad'),'jpg');
% saveas(h6,strcat(prefixe,'grad'),'pdf');
% close(h6);
% saveas(h7,strcat(prefixe,'carte'),'jpg');
% saveas(h7,strcat(prefixe,'carte'),'pdf');
% close(h7);
drawnow;
%% recadrage des pdfs, toujours raté par matlab
%pdfs=dir(strcat(prefixe,'*.pdf'));
%for ipdf=1:size(pdfs,1)
    %fichier_in=[prefixe,'carte'];
    %unix(['epstopdf ',fichier_in,'.eps']);
    %pdf_out=['''',prefixe,section,'_',num2str(n),'_(',num2str(methode),')_carte.pdf'''];
    %
       % pdf_in=[prefixe,'carte'];
    % pdf_out=['''',prefixe,section,'_',num2str(n),'_(',num2str(methode),')_carte.pdf'''];

%    [status,result] = unix(['~/pdfcrop.pl ',pdf_in,' ',pdf_out,' --clip --margins ''-35 -15 -35 -20''']);
%end
%% sauvegarde des paramètres
%copyfile(['/udd/deri/ygrisel/Documents/Matlab/Scripts/',script,'.m'],[prefixe,'script.m']);
%copyfile(['/udd/deri/ygrisel/Documents/Matlab/Geometries/',geometrie,'.m'],[prefixe,'geometrie.m']);
disp('Fin de la sauvegarde')

warning(s);
